Subject: Re: bug#55215: [PATCH] gnu: emacs-circe: Update to 2.12.

From: Ludovic Courtès <[email-masked]>
Date: Mon, 09 May 2022 10:29:45 +0200

Hi,

jgart <[email-masked]> skribis:

> I've run into this issue before that no matter what I do to try to get
> guix to detect the faulty hash it happily builds the package in question
> successfully without failing.

Since ‘origin’ has a ‘file-name’ field that is a function of the version
string, Guix will try to redownload the source if you change the version
string, and at that point it should fail with a wrong hash error, as it
did for me.

Let me know if you observe something different.

HTH,
Ludo’.